%global srcname clyent

Name:           python-%{srcname}
Version:        1.2.2
Release:        2%{?dist}
Summary:        Command line client library for posix and windows

# Asked upstream for a license file:
# https://github.com/Anaconda-Platform/clyent/issues/11
License:        BSD
URL:            https://github.com/Anaconda-Platform/%{srcname}
Source0:        https://github.com/Anaconda-Platform/%{srcname}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch


%description
Clyent is a python command line utility library for binstar, binstar-build and
chalmers.


%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python2-mock
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Clyent is a python command line utility library for binstar, binstar-build and
chalmers.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-mock
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Clyent is a python command line utility library for binstar, binstar-build and
chalmers.


%prep
%setup -q -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} -m unittest discover
%{__python3} -m unittest discover


%files -n python2-%{srcname}
%doc README.md
%{python2_sitelib}/%{srcname}*.egg-info
%{python2_sitelib}/%{srcname}

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/%{srcname}


%changelog
* Mon Mar 13 2017 Orion Poplawski <orion@cora.nwra.com> - 1.2.2-2
- Add comment about license file request
- Fix typo

* Mon Jan 9 2017 Orion Poplawski <orion@cora.nwra.com> - 1.2.2-1
- Initial package
